Bug 246327 - g-p-m incorrectly reports a failure to hibernate in hal
g-p-m incorrectly reports a failure to hibernate in hal
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-30 08:06 EDT by Rui Matos
Modified: 2013-03-05 22:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:40:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rui Matos 2007-06-30 08:06:32 EDT
Using fedora 7 with

hal-0.5.9-8.fc7
gnome-power-manager-2.18.3-1.fc7
kernel-2.6.21-1.3228.fc7

I'm getting a spiffy sound and a notification from g-p-m that the last
hibernation failed while AFAICT it didn't.

Here is what I think is a relevant part of the log:

Jun 30 02:50:36 hive gnome-power-manager: (jman) Hibernating computer because
the DBUS method Hibernate() was invoked
Jun 30 02:50:39 hive ntpd[9771]: ntpd exiting on signal 15
Jun 30 11:47:01 hive kernel: Stopping tasks ... done.
Jun 30 11:47:02 hive kernel: Shrinking memory... done (10434 pages freed)
Jun 30 11:47:03 hive kernel: Freed 41736 kbytes in 1.51 seconds (27.63 MB/s)
Jun 30 11:47:03 hive kernel: Suspending console(s)
Jun 30 11:47:03 hive kernel:  usbdev4.1: PM: suspend 0->1, parent usb4 already 2
Jun 30 11:47:03 hive kernel:  usbdev4.1_ep81: PM: suspend 0->1, parent 4-0:1.0
already 2
Jun 30 11:47:03 hive kernel: hub 4-0:1.0: PM: suspend 2->1, parent usb4 already 2
Jun 30 11:47:04 hive dhclient: receive_packet failed on eth1: Network is down
Jun 30 11:47:04 hive gnome-power-manager: (jman) An unknown error occured
code='32' quark='g-exec-error-quark'
Jun 30 11:47:04 hive avahi-daemon[2050]: Interface eth1.IPv6 no longer relevant
for mDNS.
Jun 30 11:47:04 hive kernel:  usbdev4.1_ep00: PM: suspend 0->1, parent usb4
already 2
Jun 30 11:47:04 hive gnome-power-manager: (jman) Resuming computer
Jun 30 11:47:04 hive avahi-daemon[2050]: Leaving mDNS multicast group on
interface eth1.IPv6 with address fe80::202:6fff:fe06:a2ea.
Jun 30 11:47:04 hive avahi-daemon[2050]: Interface eth1.IPv4 no longer relevant
for mDNS.
Jun 30 11:47:05 hive kernel:  usbdev3.1: PM: suspend 0->1, parent usb3 already 2
Jun 30 11:47:05 hive avahi-daemon[2050]: Leaving mDNS multicast group on
interface eth1.IPv4 with address 192.168.1.5.
Jun 30 11:47:05 hive kernel:  usbdev3.1_ep81: PM: suspend 0->1, parent 3-0:1.0
already 2
Jun 30 11:47:05 hive gnome-power-manager: (jman) hibernate failed
Jun 30 11:47:05 hive avahi-daemon[2050]: Withdrawing address record for
fe80::202:6fff:fe06:a2ea on eth1.
Jun 30 11:47:05 hive avahi-daemon[2050]: Withdrawing address record for
192.168.1.5 on eth1.
Jun 30 11:47:06 hive NET[10157]: /sbin/dhclient-script : updated /etc/resolv.conf
Jun 30 11:47:06 hive kernel: hub 3-0:1.0: PM: suspend 2->1, parent usb3 already 2
Jun 30 11:47:07 hive kernel:  usbdev3.1_ep00: PM: suspend 0->1, parent usb3
already 2
Jun 30 11:47:07 hive kernel:  usbdev2.1: PM: suspend 0->1, parent usb2 already 2
Jun 30 11:47:07 hive kernel:  usbdev2.1_ep81: PM: suspend 0->1, parent 2-0:1.0
already 2
Jun 30 11:47:07 hive kernel: hub 2-0:1.0: PM: suspend 2->1, parent usb2 already 2
Jun 30 11:47:07 hive kernel:  usbdev2.1_ep00: PM: suspend 0->1, parent usb2
already 2
Jun 30 11:47:07 hive kernel:  usbdev1.1: PM: suspend 0->1, parent usb1 already 2
Jun 30 11:47:07 hive kernel:  usbdev1.1_ep81: PM: suspend 0->1, parent 1-0:1.0
already 2
Jun 30 11:47:07 hive dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67
interval 6
Jun 30 11:47:07 hive kernel: hub 1-0:1.0: PM: suspend 2->1, parent usb1 already 2
Jun 30 11:47:07 hive dhclient: send_packet: No such device or address
Jun 30 11:47:07 hive kernel:  usbdev1.1_ep00: PM: suspend 0->1, parent usb1
already 2
Jun 30 11:47:07 hive kernel: pnp: Device 00:09 disabled.
Jun 30 11:47:07 hive kernel: ACPI: PCI interrupt for device 0000:00:03.3 disabled
Jun 30 11:47:07 hive kernel: ACPI: PCI interrupt for device 0000:00:03.2 disabled
Jun 30 11:47:07 hive kernel: ACPI: PCI interrupt for device 0000:00:03.1 disabled
Jun 30 11:47:07 hive kernel: ACPI: PCI interrupt for device 0000:00:03.0 disabled
Jun 30 11:47:07 hive kernel: ACPI: PCI interrupt for device 0000:00:02.7 disabled
Jun 30 11:47:07 hive kernel: ACPI: PCI interrupt for device 0000:00:02.5 disabled
Jun 30 11:47:07 hive kernel: Disabling non-boot CPUs ...
Jun 30 11:47:07 hive kernel: swsusp: critical section: 
Jun 30 11:47:07 hive kernel: swsusp: Need to copy 61608 pages
Jun 30 11:47:07 hive kernel: Intel machine check architecture supported.
Jun 30 11:47:07 hive kernel: Intel machine check reporting enabled on CPU#0.
Jun 30 11:47:07 hive kernel: CPU0: Intel P4/Xeon Extended MCE MSRs (12) available
Jun 30 11:47:07 hive kernel: ACPI: PCI Interrupt 0000:00:02.3[B] -> Link [LNKB]
-> GSI 9 (level, low) -> IRQ 9
Jun 30 11:47:07 hive kernel: ACPI: PCI Interrupt 0000:00:02.5[A] -> Link [LNKA]
-> GSI 11 (level, low) -> IRQ 11
Jun 30 11:47:07 hive kernel: ACPI: PCI Interrupt 0000:00:02.7[C] -> Link [LNKC]
-> GSI 5 (level, low) -> IRQ 5
Jun 30 11:47:07 hive kernel: ACPI: PCI Interrupt 0000:00:03.0[A] -> Link [LNKE]
-> GSI 11 (level, low) -> IRQ 11
Jun 30 11:47:07 hive kernel: ACPI: PCI Interrupt 0000:00:03.1[B] -> Link [LNKF]
-> GSI 9 (level, low) -> IRQ 9
Jun 30 11:47:07 hive kernel: ACPI: PCI Interrupt 0000:00:03.2[C] -> Link [LNKG]
-> GSI 9 (level, low) -> IRQ 9
Jun 30 11:47:07 hive kernel: ACPI: PCI Interrupt 0000:00:03.3[D] -> Link [LNKH]
-> GSI 9 (level, low) -> IRQ 9
Jun 30 11:47:07 hive kernel: usb usb4: root hub lost power or was reset
Jun 30 11:47:07 hive kernel: eth0: link down
Jun 30 11:47:07 hive kernel: ACPI: PCI Interrupt 0000:01:00.0[A] -> Link [LNKA]
-> GSI 11 (level, low) -> IRQ 11
Jun 30 11:47:08 hive kernel: pnp: Failed to activate device 00:07.
Jun 30 11:47:08 hive kernel: pnp: Device 00:09 activated.
Jun 30 11:47:08 hive kernel:  usbdev1.1_ep00: PM: resume from 0, parent usb1 still 2
Jun 30 11:47:08 hive kernel:  usbdev1.1_ep81: PM: resume from 0, parent 1-0:1.0
still 2
Jun 30 11:47:08 hive kernel:  usbdev1.1: PM: resume from 0, parent usb1 still 2
Jun 30 11:47:08 hive kernel:  usbdev2.1_ep00: PM: resume from 0, parent usb2 still 2
Jun 30 11:47:08 hive kernel:  usbdev2.1_ep81: PM: resume from 0, parent 2-0:1.0
still 2
Jun 30 11:47:08 hive kernel:  usbdev2.1: PM: resume from 0, parent usb2 still 2
Jun 30 11:47:08 hive kernel:  usbdev3.1_ep00: PM: resume from 0, parent usb3 still 2
Jun 30 11:47:08 hive kernel:  usbdev3.1_ep81: PM: resume from 0, parent 3-0:1.0
still 2
Jun 30 11:47:08 hive kernel:  usbdev3.1: PM: resume from 0, parent usb3 still 2
Jun 30 11:47:08 hive kernel: ata1: soft resetting port
Jun 30 11:47:08 hive kernel: Restarting tasks ... <4>usb usb1: root hub lost
power or was reset
Jun 30 11:47:08 hive kernel: done.
Jun 30 11:47:08 hive kernel: ata1.00: ata_hpa_resize 1: sectors = 58605120,
hpa_sectors = 58605120
Jun 30 11:47:08 hive kernel: ata1.00: ata_hpa_resize 1: sectors = 58605120,
hpa_sectors = 58605120
Jun 30 11:47:08 hive kernel: ata1.00: configured for UDMA/100
Jun 30 11:47:08 hive kernel: ata1: EH complete
Jun 30 11:47:08 hive kernel: SCSI device sda: 58605120 512-byte hdwr sectors
(30006 MB)
Jun 30 11:47:08 hive kernel: sda: Write Protect is off
Jun 30 11:47:08 hive kernel: SCSI device sda: write cache: enabled, read cache:
enabled, doesn't support DPO or FUA
Jun 30 11:47:08 hive kernel: usb usb2: root hub lost power or was reset
Jun 30 11:47:08 hive kernel: usb usb3: root hub lost power or was reset
Comment 1 Rui Matos 2007-06-30 08:08:53 EDT
And here is what turns up on ~/.xsession-errors

** (gnome-panel:2353): WARNING **: Could not ask power manager to hibernate: Did
not receive a reply. Possible causes include: the remote application did not
send a reply, the message bus security policy blocked the reply, the reply
timeout expired, or the network connection was broken.
Comment 2 Bug Zapper 2008-05-14 09:21:02 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-11-26 02:23:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-08 23:40:17 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.